%define major	22
%define libname %mklibname git2_ %{major}
%define devname %mklibname -d git2

Name:		libgit2
Version:	0.22.2
Release:	2
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries
License:	GPLv2 with exceptions
URL:		http://libgit2.github.com/
Source0:	https://github.com/libgit2/libgit2/archive/v%{version}/%{name}-%{version}.tar.gz

# Use system libxdiff
#Patch0: libgit2-0.19.0-system-libxdiff.patch

# Add htonl() and friends declarations on non-x86 arches
Patch1:		libgit2-0.19.0-non-x86.patch

#Patch2:  libgit2-build-fix.diff

BuildRequires:	cmake >= 2.6
BuildRequires:	http-parser-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig(libssh2)
BuildRequires:	python
BuildRequires:	zlib-devel

%description
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{libname}
Summary:	A C implementation of the Git core methods as a library
Group:		System/Libraries

%description -n %{libname}
libgit2 is a portable, pure C implementation of the Git core methods
provided as a re-entrant linkable library with a solid API, allowing
you to write native speed custom Git applications in any language
with bindings.

%package -n %{devname}
Summary:	Development files for %{name}
Group:		Development/C
Requires:	%{libname} = %{version}-%{release}

%description -n %{devname}
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -q
%apply_patches

# Remove VCS files from examples
find examples -name ".gitignore" -delete

# Fix pkgconfig generation
sed -i 's|@CMAKE_INSTALL_PREFIX@/||' libgit2.pc.in

# Don't test network
sed -i 's/ionline/xonline/' CMakeLists.txt

# Remove bundled libraries
rm -rf deps
#rm -rf src/xdiff

%build
%cmake \
	-DTHREADSAFE:BOOL=ON \
	-DUSE_SSH:BOOL=ON
%make

%check
ctest -V

%install
%makeinstall_std -C build

%files -n %{libname}
%doc README.md COPYING AUTHORS
%{_libdir}/libgit2.so.%{major}
%{_libdir}/libgit2.so.0.%{major}.*

%files -n %{devname}
%doc docs examples
%{_libdir}/libgit2.so
%{_libdir}/pkgconfig/libgit2.pc
%{_includedir}/git2*


%changelog

* Tue Apr 07 2015 Tigro <ashejn@yandex-team.ru> 0.22.2-2
- (4aaef57) rebuilt with libssh support


